Package org.eclipse.rap.rwt.client.service

## Class BrowserNavigationEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.rap.rwt.client.service.BrowserNavigationEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class BrowserNavigationEvent
    extends java.util.EventObject

Instances of this class provide information about a browser navigation event.

Since:
  2.0
See Also:
  `BrowserNavigationListener`, `BrowserNavigation`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`BrowserNavigationEvent​(java.lang.Object source, java.lang.String state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getState()` Return the browser history state to which the user navigated.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BrowserNavigationEvent

    public BrowserNavigationEvent​(java.lang.Object source,
                                  java.lang.String state)

### Method Detail

#### getState

    public java.lang.String getState()

Return the browser history state to which the user navigated.

Returns:
  the browser history state